<?php
include 'db.php';

$data=array();
$tipouser=$data2['tipouser'];
$fecha_actual = date("Y-m-d");

if(!isset($_GET['textobuscar'])){
//Valores sin valor en buscar
if(($cluster=== "PRINCIPAL") && ($tipouser==7 || $tipouser==10 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` where (`STATUSACCESO`= 0 OR `STATUSACCESO`= 5)  AND `FECHALLEG`= '$fecha_actual' ORDER BY `FECHALLEG`, `ES` ASC");
}
else if(($cluster=== "PRINCIPAL") && ($tipouser==8 || $tipouser==11 ) ){
   $q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` where (`STATUSACCESO`= 0 OR `STATUSACCESO`= 5)  AND `FECHALLEG`= '$fecha_actual' AND `TACCESOV`='VEHICULAR' ORDER BY `FECHALLEG`, `ES` ASC"); 
}
else if(($cluster=== "PRINCIPAL") && ($tipouser==9 || $tipouser==13 ) ){
       $q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` where (`STATUSACCESO`= 0 OR `STATUSACCESO`= 5)  AND `FECHALLEG`= '$fecha_actual' AND `TACCESOV`='PEATONAL' ORDER BY `FECHALLEG`, `ES` ASC"); 
}
else if(($cluster!= "PRINCIPAL") && ($tipouser==7 || $tipouser==10 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` where (`STATUSACCESO`= 0 OR `STATUSACCESO`= 5)  AND `FECHALLEG`= '$fecha_actual' AND `cluster`= '$cluster' ORDER BY `FECHALLEG`, `ES` ASC");
}
else if(($cluster!= "PRINCIPAL") && ($tipouser==8 || $tipouser==11 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` where (`STATUSACCESO`= 0 OR `STATUSACCESO`= 5)  AND `FECHALLEG`= '$fecha_actual' AND `cluster`= '$cluster' AND `TACCESOV`='VEHICULAR' ORDER BY `FECHALLEG`, `ES` ASC");
}
else if(($cluster!= "PRINCIPAL") && ($tipouser==9 || $tipouser==13 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` where (`STATUSACCESO`= 0 OR `STATUSACCESO`= 5)  AND `FECHALLEG`= '$fecha_actual' AND `cluster`= '$cluster' AND `TACCESOV`='PEATONAL' ORDER BY `FECHALLEG`, `ES` ASC");
}
while ($row=mysqli_fetch_object($q)){
 $data[]=$row;
}
} else{
    //Variables a buscar
$textobuscar = $_GET['textobuscar'];

if(($cluster=== "PRINCIPAL") && ($tipouser==7 || $tipouser==10 ) ){
 $q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE (`STATUSACCESO`= 0 OR `STATUSACCESO`= 5)  AND `FECHALLEG`= '$fecha_actual' AND (`NAMECV` LIKE '%$textobuscar%' OR `ACCESOV` ='$textobuscar')");
}
else if(($cluster=== "PRINCIPAL") && ($tipouser==8 || $tipouser==11 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE (`STATUSACCESO`= 0 OR `STATUSACCESO`= 5) AND `FECHALLEG`= '$fecha_actual' AND `TACCESOV`='VEHICULAR' AND (`NAMECV` LIKE '%$textobuscar%' OR `ACCESOV` ='$textobuscar')");
}
else if(($cluster=== "PRINCIPAL") && ($tipouser==9 || $tipouser==13 ) ){
  $q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE (`STATUSACCESO`= 0 OR `STATUSACCESO`= 5)  AND `FECHALLEG`= '$fecha_actual' AND `TACCESOV`='PEATONAL' AND (`NAMECV` LIKE '%$textobuscar%' OR `ACCESOV` ='$textobuscar')");  
} 
else if(($cluster!= "PRINCIPAL") && ($tipouser==7 || $tipouser==10 ) ){
  $q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE (`STATUSACCESO`= 0 OR `STATUSACCESO`= 5) AND `cluster`= '$cluster' AND `FECHALLEG`= '$fecha_actual' AND (`NAMECV` LIKE '%$textobuscar%' OR `ACCESOV` ='$textobuscar')");  
    
}
else if(($cluster!= "PRINCIPAL") && ($tipouser==8 || $tipouser==11 ) ){
      $q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE (`STATUSACCESO`= 0 OR `STATUSACCESO`= 5) AND `cluster`= '$cluster' AND `FECHALLEG`= '$fecha_actual' AND `TACCESOV`='VEHICULAR' AND (`NAMECV` LIKE '%$textobuscar%' OR `ACCESOV` ='$textobuscar')");
}
else if(($cluster!= "PRINCIPAL") && ($tipouser==9 || $tipouser==13 ) ){
      $q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE (`STATUSACCESO`= 0 OR `STATUSACCESO`= 5) AND `cluster`= '$cluster' AND `FECHALLEG`= '$fecha_actual' AND `TACCESOV`='PEATONAL' AND (`NAMECV` LIKE '%$textobuscar%' OR `ACCESOV` ='$textobuscar')");
}
while ($row=mysqli_fetch_object($q)){
 $data[]=$row;
}
}
echo json_encode($data);

?>

